Bug 228782 - Review Request: tcl-html - HTML documentation for Tcl/Tk
Summary: Review Request: tcl-html - HTML documentation for Tcl/Tk
Status: CLOSED DUPLICATE of bug 427264
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On: 226479
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-14 22:44 UTC by Wart
Modified: 2008-01-12 03:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 03:55:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wart 2007-02-14 22:44:01 UTC
Spec URL: http://www.kobold.org/~wart/fedora/tcl-html.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tcl-html-8.4.13-10.src.rpm
Description: 
HTML man pages for the Tcl/Tk script and C level APIs.

This package is being moved out of the core tcl package so that it can be made noarch, and because there are no more build-time dependencies between tcl and tcl-html.

The initial build/push of this package will need to be coordinated with the main tcl package to prevent both arch and noarch versions from appearing in the repo.  Similarly, the initial release number for this package must be greater than the last release number for the current tcl-html subpackage in order for upgrades to work.

Comment 1 Sander Hoentjen 2007-02-15 06:50:55 UTC
(In reply to comment #0)
> Similarly, the initial release number for this package must be greater than
the last release number for the current tcl-html subpackage in order for
upgrades to work.

Meaning either the tcl package drops Epoch (which i prefer) or this package also
adds the Epoch, if I am not mistaken.

Comment 2 Marcela Mašláňová 2007-02-15 15:08:34 UTC
related #226479
Is it really necessary to split it into 2 packages?

Comment 3 Wart 2007-02-15 20:16:36 UTC
Also noted in the related bug:

It is strongly encouraged because it will:
* simplify the tcl spec file
* make the tcl src rpm smaller
* prevent needless updates to the -html package whenever tcl is rebuilt
* shorten the build time for the tcl package since the -html subpackage
  won't be rebuilt
* allow the -html package to be properly tagged as 'noarch'

Comment 4 Marcela Mašláňová 2007-02-21 13:03:03 UTC
These are nice arguments, but many packages have documentation included in one
package. I don't want split them now.

Comment 5 Marcela Mašláňová 2007-12-21 08:50:58 UTC
Reopen, fix this problem for tcl-8.5.0

Comment 6 Wart 2008-01-12 03:55:49 UTC

*** This bug has been marked as a duplicate of 427264 ***


Note You need to log in before you can comment on or make changes to this bug.